Bug 188100 - rpm creates *.rpmnew files identical to original files
Summary: rpm creates *.rpmnew files identical to original files
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: rpm (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-06 00:56 UTC by Boris Vinarsky
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-11 13:09:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Boris Vinarsky 2006-04-06 00:56:13 UTC
Description of problem:
After a number of updates the system contins plenty of files with the 
extension .rpmnew identical to original files, for instance
[root@ross tmp]# sum /etc/vimrc /etc/vimrc.rpmnew
50638     2 /etc/vimrc
50638     2 /etc/vimrc.rpmnew
Right now I have 20 of such .rpmnew files, only 2 of which are different from 
original.
The negative implication is an annoying error e-mail:
Subject: Cron <root@sutter> run-parts /etc/cron.daily
/etc/cron.daily/logrotate:

error: Ignoring samba.rpmnew, because of .rpmnew ending

The rpm utility should be smarter than that.

Version-Release number of selected component (if applicable):
rpm-4.2.3-24_nonptl


How reproducible:
Always

Steps to Reproduce:
1. Run updates
2.
3.
  
Actual results:
See description

Expected results:
The rpm should not create .rpmnew for volatile (configuration) files if the 
new file is the same as the old file. More over, would be nice to just replace 
the old file if it has not been not modified after original installation

Additional info:

Comment 1 Michael Loeblich 2007-06-26 08:12:16 UTC
The same here for Fedora 7:
(some output after typing '# yum update')
  Updating  : pam                                                [ 10/286]
warning: /etc/pam.d/config-util created as /etc/pam.d/config-util.rpmnew
warning: /etc/pam.d/other created as /etc/pam.d/other.rpmnew
warning: /etc/pam.d/system-auth created as /etc/pam.d/system-auth.rpmnew
warning: /etc/security/access.conf created as /etc/security/access.conf.rpmnew
warning: /etc/security/chroot.conf created as /etc/security/chroot.conf.rpmnew
warning: /etc/security/console.handlers created as
/etc/security/console.handlers.rpmnew
warning: /etc/security/group.conf created as /etc/security/group.conf.rpmnew
warning: /etc/security/limits.conf created as /etc/security/limits.conf.rpmnew
warning: /etc/security/namespace.conf created as /etc/security/namespace.conf.rpmnew
warning: /etc/security/namespace.init created as /etc/security/namespace.init.rpmnew
warning: /etc/security/opasswd created as /etc/security/opasswd.rpmnew
warning: /etc/security/pam_env.conf created as /etc/security/pam_env.conf.rpmnew
warning: /etc/security/time.conf created as /etc/security/time.conf.rpmnew
  Updating  : pam                          ##################### [ 10/286] 


Comment 2 Panu Matilainen 2007-10-11 13:09:06 UTC
This has been recently fixed in rpm upstream (and Fedora) but RHEL 3 is in
maintenance mode now: only security issues and critical bugs will be considered,
and this is neither (I do agree it's annoying).

It'll be fixed in future versions of RHEL though.


Note You need to log in before you can comment on or make changes to this bug.